RasaX installation error

Getting this error while installing RasaX 0.39.3 (local mode) . Please help me with this.

This is a place about RStarting Rasa X in local mode… :rocket: fatal: bad revision ‘HEAD’ 2021-08-06 23:50:35 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. Traceback (most recent call last): File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasa\cli\x.py”, line 502, in run_locally domain_path=domain_path, File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\local.py”, line 255, in main common_utils.run_in_loop(model_service.discover_models()) File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “C:\Users\Aron\anaconda3\envs\rasa1\lib\asyncio\base_events.py”, line 484, in run_until_complete return future.result() File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\services\model_service.py”, line 803, in discover_models await model_service.discover_models() File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\services\model_service.py”, line 148, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\services\model_service.py”, line 134, in _run_loop await self._discover_models() File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\services\model_service.py”, line 186, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\services\model_service.py”, line 175, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\services\model_service.py”, line 161, in minimum_compatible_version info = await stack_service.version() File “C:\Users\Aron\AppData\Roaming\Python\Python36\site-packages\rasax\community\services\stack_service.py”, line 98, in version timeout=timeout_in_seconds, File “C:\Users\Aron\anaconda3\envs\rasa1\lib\site-packages\aiohttp\client.py”, line 588, in _request resp.raise_for_status() File “C:\Users\Aron\anaconda3\envs\rasa1\lib\site-packages\aiohttp\client_reqrep.py”, line 946, in raise_for_status headers=self.headers) aiohttp.client_exceptions.ClientResponseError: 404, message=‘Not Found’, url=URL(‘http://localhost:5005/version’)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/. asa Community

@sreewarrier share rasa version

rasa --version

Rasa Version : 2.8.2 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.1 Rasa X Version : 0.39.3 Python Version : 3.6.8 Operating System : Windows-10-10.0.19041-SP0 Python Path : C:\Users\Aron\anaconda3\envs\rasa1\python.exe

@sreewarrier change rasa to 2.8.1

`pip install rasa==2.8.1 @sreewarrier

1 Like

Thanks a lot

@sreewarrier Do ref this thread, hope you able to solve.

Don’t disturb the current environment, create new conda environment like rasa2.8 or rasa3 etc etc

Hope this will solve your issue.

1 Like

Thanks a lot @nik202 <3. Its running now. But its giving some warnings. Could you please help me understand them?.

Starting Rasa X in local mode… :rocket: fatal: bad revision ‘HEAD’ 2021-08-07 23:33:00 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-08-07 23:33:03 ERROR concurrent.futures - exception calling callback for <Future at 0x1c5f1324dc0 state=finished raised gaierror> Traceback (most recent call last): File “c:\users\aron\anaconda3\envs\env\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “c:\users\aron\anaconda3\envs\env\lib\socket.py”, line 914, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\aron\anaconda3\envs\env\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\aron\anaconda3\envs\env\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\aron\anaconda3\envs\env\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\aron\anaconda3\envs\env\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-08-07 23:33:03 ERROR concurrent.futures - exception calling callback for <Future at 0x1c5f1324070 state=finished returned list> Traceback (most recent call last): File “c:\users\aron\anaconda3\envs\env\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\aron\anaconda3\envs\env\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\aron\anaconda3\envs\env\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\aron\anaconda3\envs\env\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-08-07 23:33:13 ERROR asyncio - Error on reading from the event loop self pipe loop: Traceback (most recent call last): File “c:\users\aron\anaconda3\envs\env\lib\asyncio\windows_events.py”, line 453, in finish_recv return ov.getresult() OSError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\aron\anaconda3\envs\env\lib\asyncio\proactor_events.py”, line 768, in _loop_self_reading f.result() # may raise File “c:\users\aron\anaconda3\envs\env\lib\asyncio\windows_events.py”, line 808, in _poll value = callback(transferred, key, ov) File “c:\users\aron\anaconda3\envs\env\lib\asyncio\windows_events.py”, line 457, in finish_recv raise ConnectionResetError(*exc.args) ConnectionResetError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request [2021-08-07 23:33:22 +0400] [12628] [INFO] Goin’ Fast @ http://0.0.0.0:5002 2021-08-07 23:33:22 INFO sanic.root - Goin’ Fast @ http://0.0.0.0:5002

The server is running at http://localhost:5002/login?username=me&password=z7JzOtfEJrQ4

[2021-08-07 23:33:23 +0400] [12628] [INFO] Starting worker [12628] 2021-08-07 23:33:23 INFO sanic.root - Starting worker [12628] 2021-08-07 23:33:46 ERROR asyncio - Task was destroyed but it is pending! task: <Task pending name=‘Task-8’ coro=<TCPConnector._resolve_host() running at c:\users\aron\anaconda3\envs\env\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.._call_check_cancel() at c:\users\aron\anaconda3\envs\env\lib\asyncio\futures.py:357, <TaskWakeupMethWrapper object at 0x000001C5F1324160>()]> cb=[TCPConnector._create_direct_connection..drop_exception() at c:\users\aron\anaconda3\envs\env\lib\site-packages\aiohttp\connector.py:1002]> 2021-08-07 23:33:46 ERROR asyncio - Task was destroyed but it is pending! task: <Task pending name=‘Task-9’ coro=<TCPConnector._resolve_host() running at c:\users\aron\anaconda3\envs\env\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.._call_check_cancel() at c:\users\aron\anaconda3\envs\env\lib\asyncio\futures.py:357, <TaskWakeupMethWrapper object at 0x000001C5F1324490>()]> cb=[TCPConnector._create_direct_connection..drop_exception() at c:\users\aron\anaconda3\envs\env\lib\site-packages\aiohttp\connector.py:1002]> 2021-08-07 23:34:13 WARNING rasa.shared.utils.common - The UnexpecTED Intent Policy is currently experimental and might change or be removed in the future :microscope: Please share your feedback on it in the forum (https://forum.rasa.com) to help us make this feature ready for production. WARNING:rasax.community.services.event_consumers.event_consumer:Saving event failed due to an ‘IntegrityError’. This means that the event is already stored in the database. The event data was ‘{“sender_id”: “6d2f607ef79b4adeb3eb1fb2521d5470”, “event”: “action”, “timestamp”: 1628364866.4203162, “name”: “action_listen”, “policy”: null, “confidence”: null, “action_text”: null, “hide_rule_turn”: false}’. (sqlite3.IntegrityError) UNIQUE constraint failed: conversation_event.conversation_id, conversation_event.timestamp, conversation_event.type_name [SQL: INSERT INTO conversation_event (conversation_id, type_name, timestamp, intent_name, action_name, slot_name, slot_value, policy, is_flagged, data, evaluation, rasa_environment) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)] [parameters: (‘6d2f607ef79b4adeb3eb1fb2521d5470’, ‘action’, 1628364866.4203162, None, ‘action_listen’, None, None, None, 0, ‘{“sender_id”: “6d2f607ef79b4adeb3eb1fb2521d5470”, “event”: “action”, “timestamp”: 1628364866.4203162, “name”: “action_listen”, “policy”: null, “confidence”: null, “action_text”: null, “hide_rule_turn”: false}’, None, ‘production’)] (Background on this error at: http://sqlalche.me/e/13/gkpj)